package com.yonge.cooleshow.api.feign.fallback;


import com.yonge.cooleshow.api.feign.MallPortalFeignService;
import com.yonge.cooleshow.api.feign.dto.OmsOrderDetail;
import com.yonge.cooleshow.api.feign.enums.CheckStatus;
import com.yonge.cooleshow.common.entity.HttpResponseResult;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-04-26
 */
public class MallPortalFeignServiceFallback implements MallPortalFeignService {
    @Override
    public Object cancelTimeOutOrder() {
        return null;
    }

    @Override
    public HttpResponseResult autoReceive() {
        return null;
    }

    @Override
    public HttpResponseResult shareProfit() {
        return null;
    }

    @Override
    public HttpResponseResult<List<OmsOrderDetail>> queryOrderList(String status, Long userId) {
        return null;
    }

    @Override
    public HttpResponseResult<Map<String, Set<CheckStatus>>> checkOrderStatus(Long userId) {
        return null;
    }
}
